import { EventEmitter, OnInit } from '@angular/core';
import { Icon } from '../../../enum/icon.enum';
import { IconCacheService } from '../../../service/icon-cache.service';
import { ActionButtonsCfgNames } from '../../../interface/action-buttons-cfg-names.interface';
import { TransactionEventService } from '../../../service/transaction-event.service';
import { TransactionService } from '../../../service/transaction.service';
import { TransactionLineInfo } from '@colijnit/transactionapi/build/model/transaction-line-info.bo';
import { OrderLineSetInfo } from '@colijnit/transactionapi/build/model/order-line-set-info.bo';
export declare class TransactionLineToolbarComponent implements OnInit {
    iconCacheService: IconCacheService;
    private _transactionEventService;
    private _transactionService;
    readonly: boolean;
    readonly icons: typeof Icon;
    private _transactionKind;
    private _transactionLine;
    private _orderLineSets;
    private _orderLineSet;
    configNames: ActionButtonsCfgNames;
    canReopenExternalOrder: boolean;
    canCreateService: boolean;
    set transactionLine(value: TransactionLineInfo);
    set orderLineSets(value: OrderLineSetInfo[]);
    get orderLineSets(): OrderLineSetInfo[];
    get transactionLine(): TransactionLineInfo;
    waitingForUserAction: EventEmitter<boolean>;
    showClass(): boolean;
    constructor(iconCacheService: IconCacheService, _transactionEventService: TransactionEventService, _transactionService: TransactionService);
    ngOnInit(): void;
    handleReopenExternalOrderClick(): void;
    handleAddDocumentButtonClick(): void;
    handleTransactionText(): void;
    handleArticleTextButtonClick(): void;
    handleCreateServiceButtonClick(): void;
    handleViewStockButtonClick(): void;
    handleCopyLineButtonClick(): void;
    handleSidePanelButtonClick(): void;
    private _isReopenableExternalCatalogLine;
}
